/*
SQLyog Community v9.20 
MySQL - 5.0.51a-24+lenny2-log : Database - bilaltest1
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
USE `bilaltest1`;

/*Table structure for table `actiontemplates` */

DROP TABLE IF EXISTS `actiontemplates`;

CREATE TABLE `actiontemplates` (
  `Template_ID` int(11) NOT NULL auto_increment COMMENT 'The ID of the template',
  `TemplateName` varchar(100) NOT NULL COMMENT 'Name of the template',
  `Path` varchar(50) default NULL COMMENT 'Path of the template relative to the root',
  `Daily` smallint(6) default NULL COMMENT 'whether this template should be executed in the daily run: 1= day end tasks, 2=hourly, 3=day begin tasks',
  `ExecOrder` smallint(6) default NULL COMMENT 'The order in which the template must be executed',
  `ExcludeCompanies` varchar(50) default NULL COMMENT 'List of Companies to be excluded from running this task. Default is all companies',
  PRIMARY KEY  (`Template_ID`,`TemplateName`),
  UNIQUE KEY `ActionTemplates_UIdx` (`TemplateName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `actiontemplates` */

/*Table structure for table `authors` */

DROP TABLE IF EXISTS `authors`;

CREATE TABLE `authors` (
  `authorId` int(11) NOT NULL auto_increment,
  `firstName` varchar(50) default NULL,
  `lastName` varchar(50) default NULL,
  `bio` text,
  `isSpotLight` char(1) default 'N',
  PRIMARY KEY  (`authorId`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

/*Data for the table `authors` */

insert  into `authors`(`authorId`,`firstName`,`lastName`,`bio`,`isSpotLight`) values (1,'Anne','Larnott','Anne Lamott is the author of the New York Times bestsellers Grace (Eventually), Plan B, Traveling Mercies, and Operating Instructions, as well as seven novels, including Rosie and Crooked Little Heart. She is a past recipient of a Guggenheim Fellowship.','N'),(2,'Mary Lynn','Rampolla',' Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n diam nonumy eirmod tempor invidunt ut labore et dolore magna \n aliquyam erat, sed diam voluptua. At vero eos et accusam et \n justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n sea takimata sanctus est Lorem ipsum dolor sit amet.','N'),(3,'Suzanne','Collins','Collins\'s career began in 1991 as a writer for children\'s television shows.[2] She worked on several television shows for Nickelodeon, including Clarissa Explains It All, The Mystery Files of Shelby Woo, Little Bear, and Oswald.[2] She was also the head writer for Scholastic Entertainment\'s Clifford\'s Puppy Days.[2] She received a Writers Guild of America nomination in animation for co-writing the critically acclaimed Christmas special, Santa, Baby![3]','N'),(4,'Tiffany','Simon','Tiffany was raised in rural Canada, and only took to reading and writing after her grandparents become her legal guardians. \"I did not know you could actually do anything else with books besides using them as kindling\" she says about books. Times have changed. She is now an accomplished writer of many books herself and only occasionally takes up book-burning.','N'),(5,'Z.K.','Hody','Z.K. grew up in Uganda, where he worked as a shepherd in his youth. Moving to London, England he discovered that besides goats he was into music, painting, and sculpting. He took up writing so he could get away from his, then, artsy girlfriend who wouldn’t let him have a minute by himself because she did not trust him otherwise.','Y'),(6,'Andy','Stefanovich','Andy Stefanovich, Chief Curator and Provocateur at Prophet, has spent the past 20 years helping the world\'s leading companies drive innovation from the inside out. In 1990, Andy co-founded Play, a creativity and innovation company, which changed the way business does business. Play and Prophet joined forces in 2009. A popular and dynamic speaker, Stefanovich frequently delivers keynote addresses to leading international organizations and has been featured on CNBC and MSNBC. He lives in Richmond, Virginia.','N'),(7,'Leslie','Linsley','Leslie Linsley has been credited with the revival of découpage in this country through her first book, “Découpage, A New Look At An Old Craft” (Doubleday) and her latest, “Leslie Linsley’s Découpage.”  She has since published more than 60 books on crafts and decorating including the classic, “Nantucket Island Living” (Stewart, Tabori & Chang).','N'),(8,'Paul','Trani','Paul has spent most of his formative years in federal penitentiaries. He attributes many of his experiences to that time in his life when \"two cigarettes could get you some action\" and non-smokers where the kings of the mountain. He freely admits, \"I learned to maintain a healthy lifestyle based on these hard lessons\".','N'),(9,'Amy','Edmonds','Amy is the eighth child of twelve. She loves cats, every kind of cat and is known around her ‘hood as Amy the cat-lady. Nonetheless, she has developed a passion for writing. \"You have to get the cat-food somehow\", is one of her favorite sayings.','N'),(10,'Rake','Horn','Rake horn is a professional city-dweller. Made a living walking the mean streets of Bell-Air and Malibu, fending for himself with only one Gucci bag to call his own. Nowadays, he lives on top of the ‘H’ of the Hollywood sign.','N'),(11,'General Roland T.','Gordon',' General Gordon was brought up disciplined and had the military in his blood since boyhood. He quickly joined the Salvation Army where he made a quick career. \"Loved the troops\", he says, \"but didn’t like the work hours.\" Now as a writer he is content taking it easy most of the time.','N'),(12,'T.R.','Quincy','T.R. Quincy rarely goes a minute without smiling. When asked what his secret to happiness is he is quick to admit that he always pictures everyone as naked. \"Not always a good image\", he admits, \"but pretty funny all the time.\" ','N'),(13,'Lori','Trani','Lori was an early adopter of the no-nonsense approach to driving. She regularly dismantles her side mirrors and believes in feeling her way through traffic.','N'),(14,'Terron','Johnson','Terron Johnson loves the outdoors and lives in Miami, WI with hith 12 dogs and 200 head of sheep.','N'),(15,'Elin','Hildebrand','Elin Hilderbrand lives on Nantucket with her husband and their three young children. She grew up in Collegeville, Pennsylvania, and traveled extensively before settling on Nantucket, which has been the setting for her five previous novels. Hilderbrand is a graduate of Johns Hopkins University and the graduate fiction workshop at the University of Iowa.','N');

/*Table structure for table `blogcategories` */

DROP TABLE IF EXISTS `blogcategories`;

CREATE TABLE `blogcategories` (
  `categoryId` varchar(35) NOT NULL,
  `categoryName` varchar(100) default NULL,
  `blog` varchar(100) default NULL,
  PRIMARY KEY  (`categoryId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `blogcategories` */

insert  into `blogcategories`(`categoryId`,`categoryName`,`blog`) values ('4BEA9FD1-B452-AA00-564E9AACF0BA0E60','Fiction','bookclub'),('4FF7816D-CCAC-436F-C094E720D2CF0D32','Non-Fiction','bookclub'),('5000C8F3-E921-EAE5-57BA5E4CCD6F5305','Deals','bookclub');

/*Table structure for table `blogcomments` */

DROP TABLE IF EXISTS `blogcomments`;

CREATE TABLE `blogcomments` (
  `id` varchar(35) NOT NULL,
  `entryIdFk` varchar(35) default NULL,
  `name` varchar(50) default NULL,
  `email` varchar(75) default NULL,
  `comment` text,
  `posted` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `blogcomments` */

/*Table structure for table `blogentries` */

DROP TABLE IF EXISTS `blogentries`;

CREATE TABLE `blogentries` (
  `id` varchar(35) NOT NULL,
  `title` varchar(100) default NULL,
  `body` text,
  `posted` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `blog` varchar(50) default NULL,
  `alias` varchar(50) default NULL,
  `userName` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `be_blog_ix` (`blog`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/*Data for the table `blogentries` */

insert  into `blogentries`(`id`,`title`,`body`,`posted`,`blog`,`alias`,`userName`) values ('4FF7805E-AF3A-9CD7-96B160391DBB3AF3','new subject','Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-11 16:28:00','bookclub','','super@demodata.com'),('50073C4F-C792-0A4D-AEA98033C0A969AB','Super duper!','coldfusion, tree, green, blind, computer, clock, school, kids, car, water, blue, shopping,\n\n  Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-11 16:45:00','bookclub','','super@demodata.com'),('500EE3A6-CA3B-0254-2BE93C551B0C46A1','I love this!','Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-11 16:53:00','bookclub','','super@demodata.com'),('500F82BF-BFCF-52C7-DCED5FDD053CC215','Beautiful!','Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-11 16:54:00','bookclub','','super@demodata.com'),('5011194E-AC50-9913-4D2E69AA97996F14','Cool','Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-11 16:56:00','bookclub','','super@demodata.com'),('5E31864C-D19C-D3E2-DFA5F3F605EED94B','This is awsome!','Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','2004-08-14 10:17:00','bookclub','','super@demodata.com'),('6F1EC083-92D9-486F-13093EB97B57E616','How cool is this???','This is a great day for ColdFusion! So many features, where do I begin?\n\n\n\nI love it!','2004-08-17 17:38:00','bookclub','','user@demodata.com');

/*Table structure for table `books` */

DROP TABLE IF EXISTS `books`;

CREATE TABLE `books` (
  `bookId` int(11) NOT NULL auto_increment,
  `authorID` int(11) default NULL,
  `title` varchar(255) default NULL,
  `bookDescription` text,
  `bookImage` varchar(50) default NULL,
  `thumbNailImage` varchar(50) default NULL,
  `isSpotLight` char(1) default 'N',
  `Genre` varchar(50) default NULL,
  PRIMARY KEY  (`bookId`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

/*Data for the table `books` */

insert  into `books`(`bookId`,`authorID`,`title`,`bookDescription`,`bookImage`,`thumbNailImage`,`isSpotLight`,`Genre`) values (1,1,'Bird by Bird: Some Instructions on Writing and Life ','Lamott\'s ( Operating Instructions ) miscellany of guidance and reflection should appeal to writers struggling with demons large and slight. Among the pearls she offers is to start small, as their father once advised her 10-year-old brother, who was agonizing over a book report on birds: \"Just take it bird by bird.\" Lamott\'s suggestion on the craft of fiction is down-to-earth: worry about the characters, not the plot. But she\'s even better on psychological questions. She has learned that writing is more rewarding than publication, but that even writing\'s rewards may not lead to contentment. As a former \"Leona Helmsley of jealousy,\" she\'s come to will herself past pettiness and to fight writer\'s block by living \"as if I am dying.\" She counsels writers to form support groups and wisely observes that, even if your audience is small, \"to have written your version is an honorable thing.\" ','book01.jpg','book01_sm.jpg','N','Non-fiction'),(2,2,'A Pocket Guide to Writing in History ','A portable and affordable reference tool, A Pocket Guide to Writing in History provides reading, writing, and research advice useful to students in all history courses. Concise yet comprehensive advice on approaching typical history assignments, developing critical reading skills, writing effective history papers, conducting research, using and documenting sources, and avoiding plagiarism — enhanced with practical tips and examples throughout — have made this slim reference a best-seller. Now in its sixth edition, the book offers more coverage of working with sources than ever before.','book02.jpg','book02_sm.jpg','Y','Non-fiction'),(3,3,'The Hunger Games','The Hunger Games is a young-adult science fiction novel written by Suzanne Collins. It was originally published on September 14, 2008, by Scholastic. It is the first book of the Hunger Games trilogy. It introduces sixteen-year-old Katniss Everdeen, who lives in a post-apocalyptic world in the country of Panem where North America once existed. This is where a government working in a central city called the Capitol holds power. In the book, the Hunger Games are an annual televised event where the Capitol chooses one boy and one girl from each of 12 districts to fight to the death. The Hunger Games exist to demonstrate that not even children are beyond the reach of the Capitol\'s jurisdiction. Collins says that the idea for The Hunger Games came from channel surfing on television. On one channel she observed people competing on a reality show and on another she saw footage of the Iraq War. The two blended together and the idea for the book was formed.','book14.jpg','book14_sm.jpg','N','Non-fiction'),(4,4,'The Living Portrait','How to draw portraits from life -- and make them lifelike! Covers all traditional art media, but focuses on oil and pastels.','book03.jpg','book03_sm.jpg','N','Non-fiction'),(5,5,'All American','The Justin Thyme story. How a man with limited intelligence can make it big in America by obsessively following a narrow path.','book04.jpg','book04_sm.jpg','Y','Non-fiction'),(6,6,'Look at More: A Proven Approach to Innovation, Growth, and Change','Look At More teaches you how to harness inspiration by thinking differently—and to encourage others to do the same. Designed to be an individual and organizational hands-on guide, Look At More focuses on the front end of the Inspiration–Creativity–Innovation continuum. Using Stefanovich\'s proven LAMSTAIH approach (Look At More Stuff, Think About It Harder), leaders and employees can develop the practical skills, leadership behavior, and cultural mindset to consistently create ideas and drive innovation.','book05.jpg','book05_sm.jpg','Y','Fiction'),(7,7,'Country Living Aged to Perfection: Adding Rustic Charm to Your Modern Home Inside & Out ','Lavishly illustrated and inspirational, this guide reveals the secrets to adding old-world charm and character to any home-even newly constructed houses. From heirloom furniture to classic window treatments, ideas abound for creating a beautiful rustic effect. Add simple architectural details such as crown molding. Or try paint techniques like crackling, mosaics, and staining to keep a new house from seeming too new. Gorgeous photographs show what\'s possible with a wide variety of homes.','book06.jpg','book06_sm.jpg','N','Fiction'),(8,8,'The Epoch of the Mammoth and the Apparition of Man Upon the Earth','This is an OCR edition without illustrations or index. It may have numerous typos or missing text. However, purchasers can download a free scanned copy of the original rare book from GeneralBooksClub.com. You can also preview excerpts from the book there. Purchasers are also entitled to a free trial membership in the General Books Club where they can select from more than a million books without charge.','book07.jpg','book07_sm.jpg','Y','Fiction'),(9,9,'Lucky 13','Amateur softball\'s greatest. Stories of all the great amateurs of today and yesteryear.','book08.jpg','book08_sm.jpg','Y','Non-fiction'),(10,10,'Velocity','The New Brunswick bestseller. A Canadian classic immediately on its release, this book tells the story of the struggles of a family running a small farm in the hinterlands of New Brunswick.','book09.jpg','book09_sm.jpg','N','Fiction'),(11,11,'Green Man','The Green movement and the women\'s movement have picked up on the scientific Gaia hypothesis, which suggests that the planet Earth is a single living organism. The next stage of the ecological revolution begins with the reawakening of the male counterpart of the Goddess, the Green Man, and archetype found in folklore and religious art from the earliest times, and especially linked with Christian origins of modern science. Long suppressed, the archetype emerges now to challenge us to heal our relationship with nature.','book10.jpg','book10_sm.jpg','N','Fiction'),(12,12,'Pow! Right Between the Eyes','In the midst of a recession, Nulman offers a way for marketers, advertisers and entrepreneurs to capture consumer attention by harnessing the power of surprise marketing. Starting with entertaining forewords by comedian John Cleese and talk show host Craig Ferguson, who both understand the necessity of shock and timing in getting laughs, Nulman proceeds to offer (and amuse) with astute insight about how companies can create a bigger bang for their buck by imparting the unexpected in their marketing. Using case studies of ad campaigns, the author describes what successful shocking marketing is (Oprah declaring, Everybody gets a car, to her studio audience, which sent her Web site\'s traffic up 800%) and is not (St. Louis using the ubiquitous arch in an ad campaign to portray the city as surprising). Drawing on 15 years of experience as the CEO of the Just for Laughs Festival, the author emphasizes that the element of surprise is pertinent for anyone trying to sell a product or gain attention for a cause or event.','book11.jpg','book11_sm.jpg','N','Non-fiction'),(13,13,'Checkered Past','When your personal history catches up with you, unexpected results can occur. A harrowing read.','book12.jpg','book12_sm.jpg','N','Fiction'),(14,14,'A Short History of the Twentieth Century ',' A Short History of the Twentieth Century carries some of the excitement of the times as well as the power of unforeseen events. The theme that dominates much of the book is war and peace—a nervous peace—which gripped the attention of most people who lived through a large part of the century. Mr. Blainey’s talent for identifying the telling detail, the crucial event, the key personality makes for masterful storytelling, and his interest ranges wide over the fields of human activity; he is concerned not only with major transformations but also with the everyday experiences of people around the world.','book13.jpg','book13_sm.jpg','N','Non-fiction'),(15,15,'Barefoot','Three women arrive at the local airport, observed by Josh, a Nantucket native home from college for the summer. Burdened with small children, unwieldy straw hats, and some obvious emotional issues, the women--two sisters and one friend--make their way to the sisters\' tiny cottage, inherited from an aunt. They\'re all trying to escape from something: Melanie, after seven failed in-vitro attempts, learned her husband was having an affair, and then discovered she\'s pregnant; Brenda embarked on a passionate affair with an older student that got her fired from her prestigious job as a professor in New York; and her sister Vicki, mother to two small boys, has been diagnosed with lung cancer. Soon Josh is part of the chaotic household, acting as babysitter, confidant, and, eventually, lover.','book15.jpg','book15_sm.jpg','N','Fiction');

/*Table structure for table `calendar` */

DROP TABLE IF EXISTS `calendar`;

CREATE TABLE `calendar` (
  `calendarId` int(11) NOT NULL auto_increment,
  `meetingId` int(11) default NULL,
  `calendarDate` date default NULL,
  `startTime` time default NULL,
  `additionalInfo` text,
  `isAuthorAvailable` char(1) default 'N',
  PRIMARY KEY  (`calendarId`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `calendar` */

insert  into `calendar`(`calendarId`,`meetingId`,`calendarDate`,`startTime`,`additionalInfo`,`isAuthorAvailable`) values (1,2,'2005-12-17','08:00:00','COME EARLY FOR THE BEST SEAT','Y'),(2,1,'2005-12-17','08:00:00','','N'),(3,1,'2005-12-22','08:30:00','','Y');

/*Table structure for table `coupons` */

DROP TABLE IF EXISTS `coupons`;

CREATE TABLE `coupons` (
  `couponId` int(11) NOT NULL auto_increment,
  `sponsorId` int(11) NOT NULL,
  `coupon` text,
  `expirationDate` date default NULL,
  PRIMARY KEY  (`couponId`,`sponsorId`),
  UNIQUE KEY `couponId` (`couponId`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

/*Data for the table `coupons` */

insert  into `coupons`(`couponId`,`sponsorId`,`coupon`,`expirationDate`) values (1,1,'Buy 5 books, get the 6 th FREE!','2005-12-31'),(2,2,'20% off the Stone Creek Trilogy by Miriam Johanso','2005-12-31'),(3,3,'Trade in what you\'ve read, pick up what you haven\'t!','2005-03-31'),(4,4,'10% off your first online purchase!','2005-06-30'),(5,5,'free pastry! with a purchase of $20 or more','2005-07-15'),(6,6,'A gift for generations to enjoy. Have your family history written.','2006-12-31'),(7,7,'Free Shipping! For purchases of $15 or more','2006-12-31');

/*Table structure for table `meetings` */

DROP TABLE IF EXISTS `meetings`;

CREATE TABLE `meetings` (
  `meetingId` int(11) NOT NULL auto_increment,
  `bookId` int(11) default NULL,
  `host` varchar(50) default NULL,
  `meetingInfo` text,
  PRIMARY KEY  (`meetingId`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/*Data for the table `meetings` */

insert  into `meetings`(`meetingId`,`bookId`,`host`,`meetingInfo`) values (1,1,'Jane Jones',' Please park behind building.    '),(2,9,'Annette Kunovic',' Please park in back  ');

/*Table structure for table `memberdownload` */

DROP TABLE IF EXISTS `memberdownload`;

CREATE TABLE `memberdownload` (
  `memberDownloadId` int(11) NOT NULL auto_increment,
  `memberId` int(11) default NULL,
  `couponId` int(11) default NULL,
  `couponCode` varchar(50) default NULL,
  PRIMARY KEY  (`memberDownloadId`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Data for the table `memberdownload` */

insert  into `memberdownload`(`memberDownloadId`,`memberId`,`couponId`,`couponCode`) values (1,1,7,'5C67101D-07A1-5559-FF70A1BDEFAC2CC1'),(2,1,3,'5C96C846-D00C-9B8A-CB33E1DA934FBE15'),(3,12,4,'1DEA31DA-C229-EB90-0932302BA7220A5D'),(4,1,6,'1DEE1183-9A4F-6BF9-A26B06A91211B0C9');

/*Table structure for table `members` */

DROP TABLE IF EXISTS `members`;

CREATE TABLE `members` (
  `memberId` int(11) NOT NULL auto_increment,
  `firstName` varchar(50) default NULL,
  `lastName` varchar(50) default NULL,
  `email` varchar(75) default NULL,
  `memberPassword` varchar(10) default NULL,
  `isAdmin` char(1) default 'N',
  `isActive` char(1) default 'N',
  `isBlogSpotLight` char(1) default 'N',
  PRIMARY KEY  (`memberId`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `members` */

insert  into `members`(`memberId`,`firstName`,`lastName`,`email`,`memberPassword`,`isAdmin`,`isActive`,`isBlogSpotLight`) values (1,'Bookclub','Admin','super@demodata.com','demo','Y','Y','Y'),(2,'Darrell','Demo','user@demodata.com','demo','N','Y','N'),(3,'Jane','Doe','jane@demo.com','demo','N','N','N');

/*Table structure for table `sponsors` */

DROP TABLE IF EXISTS `sponsors`;

CREATE TABLE `sponsors` (
  `sponsorId` int(11) NOT NULL auto_increment,
  `sponsorName` varchar(255) default NULL,
  `webAddress` varchar(250) default NULL,
  `description` text,
  `sponsorAd` varchar(50) default NULL,
  `isSpotLight` char(1) default 'N',
  `city` varchar(50) default NULL,
  `state` varchar(50) default NULL,
  `address` varchar(50) default NULL,
  `postalCode` varchar(50) default NULL,
  `phone` varchar(50) default NULL,
  `map` varchar(50) default NULL,
  PRIMARY KEY  (`sponsorId`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

/*Data for the table `sponsors` */

insert  into `sponsors`(`sponsorId`,`sponsorName`,`webAddress`,`description`,`sponsorAd`,`isSpotLight`,`city`,`state`,`address`,`postalCode`,`phone`,`map`) values (1,'The Bookery','www.bookery.com','  Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed \n\n		diam nonumy eirmod tempor invidunt ut labore et dolore magna \n\n		aliquyam erat, sed diam voluptua. At vero eos et accusam et \n\n		justo duo dolores et ea rebum. Stet clita kasd gubergren, no \n\n		sea takimata sanctus est Lorem ipsum dolor sit amet.','fma1.swf','N','Alpine','AZ','3894 Saint Clair Ave','85920','(520) 483-3784','map1.gif'),(2,'Waldorf Publishing','www.waldorfpub.com','','fma2.swf','N','Miami','FL','5920 Ulster Place','33114','(305) 191-2934','map2.gif'),(3,'Downtown Book Exchange','www.dtownbooks.com','','fma3.swf','N','Seattle','WA','2838 Castleton Canyon Drive','98119','(206) 902-3933','map3.gif'),(4,'Storytyme Children\'s Books','www.storytymebooks.com','','ad1.jpg','N','Garden Grove','CA','2400 Regency Drive','92844','(714) 383-2344','map4.gif'),(5,'Green Valley Book & Bakery','www.greenvalleybooks.com','','ad2.jpg','N','Beemer','NE','9200 West 5 th Street','68716','(402) 457-3827','map5.gif'),(6,'Family Legacy','www.familylegacy.com','','ad3.jpg','N','Freeport','NY','3939 Westchester St.','11520','(516) 472-9000','map6.gif'),(7,'Bestseller Warehouse.com','www.bestsellerwarehouse.com','','ad4.jpg','N','Somerset','MA','3949 East 1 st Street','02725','(508) 482-3232','');

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `email` varchar(255) default NULL,
  `password` varchar(15) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `users` */

insert  into `users`(`id`,`name`,`email`,`password`) values (1,'ab2','ab@mail.com','123'),(2,'second','second@hh.com','12'),(3,'John Doe','mail@mm.com','222');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
